Last Comment Bug 260849 - identify unread live bookmark items
: identify unread live bookmark items
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: Bookmarks & History (show other bugs)
: 1.0 Branch
: All All
: -- enhancement with 19 votes (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
: Marco Bonardo [::mak]
Mentors:
: 259315 261069 264840 272563 289535 386115 425361 477231 499153 534381 569241 577629 599840 (view as bug list)
Depends on: 679674 livemarksIO
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-21 13:03 PDT by Vladimir Vukicevic [:vlad] [:vladv]
Modified: 2012-02-25 02:38 PST (History)
26 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
identify unread patch (in progress) (18.19 KB, patch)
2004-09-21 13:06 PDT, Vladimir Vukicevic [:vlad] [:vladv]
no flags Details | Diff | Splinter Review
wip (1.65 KB, patch)
2009-03-24 16:47 PDT, Dietrich Ayala (:dietrich)
no flags Details | Diff | Splinter Review

Description Vladimir Vukicevic [:vlad] [:vladv] 2004-09-21 13:03:55 PDT
Live bookmarks should identify unread items -- e.g. making them bold or similar.
 We know when an item is unread by checking 1) the items LastVisitDate (which
won't be set on new items, also will get cleared when the livemark is reloaded);
2) by checking history.  These are the same operation, and this will get much
easier when we coalesce history and bookmarks post-1.0.
Comment 1 Vladimir Vukicevic [:vlad] [:vladv] 2004-09-21 13:06:13 PDT
Created attachment 159621 [details] [diff] [review]
identify unread patch (in progress)

This patch starts to add some of this support.	It doesn't work, due to
template builder issues, namely that it doesn't switch templates if a
more-restrictive one becomes valid while a less-restrictive one is active.  We
also have no way of imposing negative queries.

Also, I just realized that I can replace the ugly nsIURI-creating code by just
using the RDF datasource interface of history, not to mention removing the
docshell dependency, by just getting "rdf:history" and using my
already-existing resource with it.

Putting this patch here for when I get back to this later.
Comment 2 Vladimir Vukicevic [:vlad] [:vladv] 2004-09-22 14:19:14 PDT
*** Bug 261069 has been marked as a duplicate of this bug. ***
Comment 3 Phil Ringnalda (:philor) 2004-10-10 01:19:32 PDT
*** Bug 259315 has been marked as a duplicate of this bug. ***
Comment 4 Phil Ringnalda (:philor) 2004-12-01 15:33:14 PST
*** Bug 272563 has been marked as a duplicate of this bug. ***
Comment 5 Jonathan Avidan 2005-05-09 02:09:52 PDT
> also will get cleared when the livemark is reloaded

I have to disagree. Note that Firefox tends to reload the livebookmarks quite
often. In addition, no one wants his feeds to be mark as unread every time he
opens Firefox again. Once a feed is marked as read it should stay that way,
unless  we decide to have a context menu option of "mark as unread"

On a further note, if we do fix this - we shoudn't directly mark the feed as
bold but rather give it a certain class whose default style is text-weight:bold;
Thus other themes could have different appearances
Comment 6 Mike Connor [:mconnor] 2006-08-27 05:21:02 PDT
sorry for bugspam, long-overdue mass reassign of ancient QA contact bugs, filter on "beltznerLovesGoats" to get rid of this mass change
Comment 7 José Jeria 2008-03-27 07:25:21 PDT
*** Bug 425361 has been marked as a duplicate of this bug. ***
Comment 8 Marco Bonardo [::mak] 2009-02-06 06:30:00 PST
*** Bug 386115 has been marked as a duplicate of this bug. ***
Comment 9 Marco Bonardo [::mak] 2009-02-06 06:30:21 PST
*** Bug 477231 has been marked as a duplicate of this bug. ***
Comment 10 Marco Bonardo [::mak] 2009-03-24 07:03:42 PDT
*** Bug 289535 has been marked as a duplicate of this bug. ***
Comment 11 Dietrich Ayala (:dietrich) 2009-03-24 16:47:15 PDT
Created attachment 369184 [details] [diff] [review]
wip

working proof-of-concept patch. needs styling, localization, ltr, etc.
Comment 12 Marco Bonardo [::mak] 2009-03-26 04:03:34 PDT
*** Bug 264840 has been marked as a duplicate of this bug. ***
Comment 13 Marco Bonardo [::mak] 2009-06-19 03:46:50 PDT
*** Bug 499153 has been marked as a duplicate of this bug. ***
Comment 14 Alex 2009-06-19 06:56:53 PDT
suggest for Rss:
not to show unread (bold), but to hide read completely.
Rss's older than current date may be --not shown at all-.
This is not what is suggested initially.
Comment 15 (mostly gone) XtC4UaLL [:xtc4uall] 2009-12-12 07:38:43 PST
*** Bug 534381 has been marked as a duplicate of this bug. ***
Comment 16 Kevin Brosnan 2010-06-14 08:57:48 PDT
*** Bug 569241 has been marked as a duplicate of this bug. ***
Comment 17 Kevin Brosnan 2010-08-05 11:43:49 PDT
*** Bug 577629 has been marked as a duplicate of this bug. ***
Comment 18 Christopher Chan 2010-08-07 03:37:01 PDT
We may show a number beside each RSS feed title indicating the number of unread entries, and making the unread entries bold.
Comment 19 Marco Bonardo [::mak] 2010-09-27 05:16:59 PDT
*** Bug 599840 has been marked as a duplicate of this bug. ***
Comment 20 Marco Bonardo [::mak] 2012-02-25 02:38:59 PST
fixed by bug 613588, the status is tracked by the new icon.

Note You need to log in before you can comment on or make changes to this bug.